<!-- This file was generated by pybib2web, version 0.7.dev0: https://gitlab.com/sosy-lab/software/pybib2web/ -->
<input type="checkbox" id="show-compact">
<label for="show-compact">Compact view</label>
<h2 id="publications">Publications of Stefan Löwe</h2>
<nav class="publication-navigation">(<a href="../All/index.html">Show all</a> &ndash; <a href="../index.html">Index</a>)</nav>

<a href="../Category/conferences.html"><h3>Articles in conference or workshop proceedings</h3></a>

<ol class="list-publications" start="1">

<li class="bibentry" id="SPIN15b">
  <span class="main-info">
    <span class="author-list"><span class="author"><a href="../Author/BEYER-D.html"><span class="firstname">Dirk</span> <span class="lastname">Beyer</span></a></span>,
    <span class="author"><a href="../Author/LÖWE-S.html"><span class="firstname">Stefan</span> <span class="lastname">Löwe</span></a></span>, and
    <span class="author"><a href="../Author/WENDLER-P.html"><span class="firstname">Philipp</span> <span class="lastname">Wendler</span></a></span>.</span>
    <span class="publication-title">Refinement Selection.</span>
    <span class="howpublished">
      In <span class="editor-list"><span class="editor"><span class="firstname">B.</span> <span class="lastname">Fischer</span></span> and
      <span class="editor"><span class="firstname">J.</span> <span class="lastname">Geldenhuys</span></span>, editors</span>,
      <em class="booktitle">  Proceedings of the 22nd International Symposium on
        Model Checking of Software (SPIN 2015, Stellenbosch, South Africa, August 24-26)</em>,
      <span class="series">LNCS 9232</span>,
      <span class="pages">pages 20-38</span>,
      <span class="publication-date">  <span class="year">2015</span></span>.
    </span>
    <span class="publisher">Springer-Verlag, Heidelberg.</span>
    <a class="doi" href="https://doi.org/10.1007/978-3-319-23404-5_3" data-doi="10.1007/978-3-319-23404-5_3" title="The digital object identifier permanently identifies a digital article or document.">doi:10.1007/978-3-319-23404-5_3</a>
  </span>
  <a class="bibentry-link" href="#SPIN15b"><img height="12px" width="12px" src="https://www.sosy-lab.org/images/transparent.gif" alt="Link to this entry"></a>
  <span class="additional-info">
    <span class="inline-info">
      <span class="keyword-list">Keyword(s):
        <a class="keyword" href="../Keyword/CPACHECKER.html">CPAchecker</a>,
        <a class="keyword" href="../Keyword/SOFTWARE-MODEL-CHECKING.html">Software Model Checking</a>
      </span>
    </span>
    <span class="link-list">
      <a class="publishers-version-link doi-link" href="https://doi.org/10.1007/978-3-319-23404-5_3" title="Link to official version of paper (may be a landing page with more information)"><img alt="" height="17px" width="17px" src="https://www.sosy-lab.org/research/pub/Icons/doi.svg">Publisher's Version</a>
      <a class="pdf-link" href="https://www.sosy-lab.org/research/pub/2015-SPIN.Refinement_Selection.pdf"><img alt="" height="17px" width="17px" src="https://www.sosy-lab.org/research/pub/Icons/pdf.gif">PDF</a>
      <a class="material-link" href="https://www.sosy-lab.org/research/cpa-ref-sel/"><img alt="" height="15px" width="15px" src="https://www.sosy-lab.org/research/pub/Icons/www.gif">Supplement</a>
    </span>
    <details  class="abstract">
      <summary>Abstract</summary>
      <div>
        Counterexample-guided abstraction refinement
        is a property-directed approach for the automatic construction
        of an abstract model for a given system.
        The approach learns information from infeasible error paths
        in order to refine the abstract model.
        We address the problem of selecting which information to learn from
        a given infeasible error path.
        In previous work, we presented a method that
        enables refinement selection by extracting a set of sliced prefixes
        from a given infeasible error path,
        each of which represents a different reason for infeasibility of the error path and thus,
        a possible way to refine the abstract model.
        In this work, we
        (1) define and investigate several promising heuristics
        for selecting an appropriate precision for refinement, and
        (2) propose a new combination of a value analysis and a predicate analysis
        that does not only find out which information to learn from an infeasible error path,
        but automatically decides which analysis should be preferred for a refinement.
        These contributions allow a more systematic refinement strategy
        for CEGAR-based analyses.
        We evaluated the idea on software verification.
        We provide an implementation of the new concepts
        in the verification framework CPAchecker
        and make it publicly available.
        In a thorough experimental study,
        we show that refinement selection
        often avoids state-space explosion
        where existing approaches diverge,
        and that it can be even more powerful
        if applied on a higher level,
        where it decides which analysis
        of a combination should be favored for a refinement.
      </div>
    </details>
    <details  class="bibtex">
      <summary>BibTeX Entry</summary>
      <div>
        @inproceedings{SPIN15b,
        author = {Dirk Beyer and Stefan L{\&quot;o}we and Philipp Wendler},
        title = {Refinement Selection},
        booktitle = {Proceedings of the 22nd International Symposium on Model Checking of Software (SPIN~2015, Stellenbosch, South Africa, August 24-26)},
        editor = {B.~Fischer and J.~Geldenhuys},
        pages = {20-38},
        year = {2015},
        series = {LNCS~9232},
        publisher = {Springer-Verlag, Heidelberg},
        isbn = {978-3-319-23403-8},
        doi = {10.1007/978-3-319-23404-5_3},
        url = {https://www.sosy-lab.org/research/cpa-ref-sel/},
        pdf = {https://www.sosy-lab.org/research/pub/2015-SPIN.Refinement_Selection.pdf},
        abstract = {Counterexample-guided abstraction refinement is a property-directed approach for the automatic construction of an abstract model for a given system. The approach learns information from infeasible error paths in order to refine the abstract model. We address the problem of selecting which information to learn from a given infeasible error path. In previous work, we presented a method that enables refinement selection by extracting a set of sliced prefixes from a given infeasible error path, each of which represents a different reason for infeasibility of the error path and thus, a possible way to refine the abstract model. In this work, we (1) define and investigate several promising heuristics for selecting an appropriate precision for refinement, and (2) propose a new combination of a value analysis and a predicate analysis that does not only find out which information to learn from an infeasible error path, but automatically decides which analysis should be preferred for a refinement. These contributions allow a more systematic refinement strategy for CEGAR-based analyses. We evaluated the idea on software verification. We provide an implementation of the new concepts in the verification framework CPAchecker and make it publicly available. In a thorough experimental study, we show that refinement selection often avoids state-space explosion where existing approaches diverge, and that it can be even more powerful if applied on a higher level, where it decides which analysis of a combination should be favored for a refinement.},
        keyword = {CPAchecker,Software Model Checking},
        }
        
      </div>
    </details>
  </span>
</li>

<li class="bibentry" id="SPIN15a">
  <span class="main-info">
    <span class="author-list"><span class="author"><a href="../Author/BEYER-D.html"><span class="firstname">Dirk</span> <span class="lastname">Beyer</span></a></span>,
    <span class="author"><a href="../Author/LÖWE-S.html"><span class="firstname">Stefan</span> <span class="lastname">Löwe</span></a></span>, and
    <span class="author"><a href="../Author/WENDLER-P.html"><span class="firstname">Philipp</span> <span class="lastname">Wendler</span></a></span>.</span>
    <span class="publication-title">Benchmarking and Resource Measurement.</span>
    <span class="howpublished">
      In <span class="editor-list"><span class="editor"><span class="firstname">B.</span> <span class="lastname">Fischer</span></span> and
      <span class="editor"><span class="firstname">J.</span> <span class="lastname">Geldenhuys</span></span>, editors</span>,
      <em class="booktitle">  Proceedings of the 22nd International Symposium on
        Model Checking of Software (SPIN 2015, Stellenbosch, South Africa, August 24-26)</em>,
      <span class="series">LNCS 9232</span>,
      <span class="pages">pages 160-178</span>,
      <span class="publication-date">  <span class="year">2015</span></span>.
    </span>
    <span class="publisher">Springer-Verlag, Heidelberg.</span>
    <a class="doi" href="https://doi.org/10.1007/978-3-319-23404-5_12" data-doi="10.1007/978-3-319-23404-5_12" title="The digital object identifier permanently identifies a digital article or document.">doi:10.1007/978-3-319-23404-5_12</a>
  </span>
  <a class="bibentry-link" href="#SPIN15a"><img height="12px" width="12px" src="https://www.sosy-lab.org/images/transparent.gif" alt="Link to this entry"></a>
  <span class="additional-info">
    <span class="inline-info">
      <span class="keyword-list">Keyword(s):
        <a class="keyword" href="../Keyword/BENCHMARKING.html">Benchmarking</a>
      </span>
    </span>
    <span class="link-list">
      <a class="publishers-version-link doi-link" href="https://doi.org/10.1007/978-3-319-23404-5_12" title="Link to official version of paper (may be a landing page with more information)"><img alt="" height="17px" width="17px" src="https://www.sosy-lab.org/research/pub/Icons/doi.svg">Publisher's Version</a>
      <a class="pdf-link" href="https://www.sosy-lab.org/research/pub/2015-SPIN.Benchmarking_and_Resource_Measurement.pdf"><img alt="" height="17px" width="17px" src="https://www.sosy-lab.org/research/pub/Icons/pdf.gif">PDF</a>
      <a class="material-link" href="https://www.sosy-lab.org/research/benchmarking/"><img alt="" height="15px" width="15px" src="https://www.sosy-lab.org/research/pub/Icons/www.gif">Supplement</a>
    </span>
    <details  class="abstract">
      <summary>Abstract</summary>
      <div>
        Proper benchmarking and resource measurement is an important topic,
        because benchmarking is a widely-used method
        for the comparative evaluation of tools and algorithms in many research areas.
        It is essential for researchers, tool developers, and users,
        as well as for competitions.
        We formulate a set of requirements that are indispensable
        for reproducible benchmarking and reliable resource measurement
        of automatic solvers, verifiers, and similar tools,
        and discuss limitations of existing methods and benchmarking tools.
        Fulfilling these requirements in a benchmarking framework
        is complex and can (on Linux) currently only be done by using the cgroups feature of the kernel.
        We provide BenchExec, a ready-to-use, tool-independent, and free implementation
        of a benchmarking framework that fulfills all presented requirements,
        making reproducible benchmarking and reliable resource measurement easy.
        Our framework is
        able to work with a wide range of different tools
        and has proven its reliability and usefulness in
        the International Competition on Software Verification.
      </div>
    </details>
    <details  class="bibtex">
      <summary>BibTeX Entry</summary>
      <div>
        @inproceedings{SPIN15a,
        author = {Dirk Beyer and Stefan L{\&quot;o}we and Philipp Wendler},
        title = {Benchmarking and Resource Measurement},
        booktitle = {Proceedings of the 22nd International Symposium on Model Checking of Software (SPIN~2015, Stellenbosch, South Africa, August 24-26)},
        editor = {B.~Fischer and J.~Geldenhuys},
        pages = {160-178},
        year = {2015},
        series = {LNCS~9232},
        publisher = {Springer-Verlag, Heidelberg},
        isbn = {978-3-319-23403-8},
        doi = {10.1007/978-3-319-23404-5_12},
        url = {https://www.sosy-lab.org/research/benchmarking/},
        pdf = {https://www.sosy-lab.org/research/pub/2015-SPIN.Benchmarking_and_Resource_Measurement.pdf},
        abstract = {Proper benchmarking and resource measurement is an important topic, because benchmarking is a widely-used method for the comparative evaluation of tools and algorithms in many research areas. It is essential for researchers, tool developers, and users, as well as for competitions. We formulate a set of requirements that are indispensable for reproducible benchmarking and reliable resource measurement of automatic solvers, verifiers, and similar tools, and discuss limitations of existing methods and benchmarking tools. Fulfilling these requirements in a benchmarking framework is complex and can (on Linux) currently only be done by using the cgroups feature of the kernel. We provide BenchExec, a ready-to-use, tool-independent, and free implementation of a benchmarking framework that fulfills all presented requirements, making reproducible benchmarking and reliable resource measurement easy. Our framework is able to work with a wide range of different tools and has proven its reliability and usefulness in the International Competition on Software Verification.},
        keyword = {Benchmarking},
        annote = {An &lt;a href=&quot;https://www.sosy-lab.org/research/bib/Year/2017.complete.html#Benchmarking-STTT&quot;&gt;extended version&lt;/a&gt; of this article appeared in STTT.},
        }
        
      </div>
    </details>
    <details open class="annote">
      <summary>Additional Infos</summary>
      <div>
        An <a href="https://www.sosy-lab.org/research/bib/Year/2017.complete.html#Benchmarking-STTT">extended version</a> of this article appeared in STTT.
      </div>
    </details>
  </span>
</li>

<li class="bibentry" id="FORTE15">
  <span class="main-info">
    <span class="author-list"><span class="author"><a href="../Author/BEYER-D.html"><span class="firstname">Dirk</span> <span class="lastname">Beyer</span></a></span>,
    <span class="author"><a href="../Author/LÖWE-S.html"><span class="firstname">Stefan</span> <span class="lastname">Löwe</span></a></span>, and
    <span class="author"><a href="../Author/WENDLER-P.html"><span class="firstname">Philipp</span> <span class="lastname">Wendler</span></a></span>.</span>
    <span class="publication-title">Sliced Path Prefixes: An Effective Method to Enable Refinement Selection.</span>
    <span class="howpublished">
      In <span class="editor-list"><span class="editor"><span class="firstname">S.</span> <span class="lastname">Graf</span></span> and
      <span class="editor"><span class="firstname">M.</span> <span class="lastname">Viswanathan</span></span>, editors</span>,
      <em class="booktitle">  Proceedings of the 35th IFIP WG 6.1 International Conference on 
        Formal Techniques for Distributed Objects, Components, and Systems (FORTE 2015, Grenoble, France, June 2-4)</em>,
      <span class="series">LNCS 9039</span>,
      <span class="pages">pages 228-243</span>,
      <span class="publication-date">  <span class="year">2015</span></span>.
    </span>
    <span class="publisher">Springer-Verlag, Heidelberg.</span>
    <a class="doi" href="https://doi.org/10.1007/978-3-319-19195-9_15" data-doi="10.1007/978-3-319-19195-9_15" title="The digital object identifier permanently identifies a digital article or document.">doi:10.1007/978-3-319-19195-9_15</a>
  </span>
  <a class="bibentry-link" href="#FORTE15"><img height="12px" width="12px" src="https://www.sosy-lab.org/images/transparent.gif" alt="Link to this entry"></a>
  <span class="additional-info">
    <span class="inline-info">
      <span class="keyword-list">Keyword(s):
        <a class="keyword" href="../Keyword/CPACHECKER.html">CPAchecker</a>,
        <a class="keyword" href="../Keyword/SOFTWARE-MODEL-CHECKING.html">Software Model Checking</a>
      </span>
    </span>
    <span class="link-list">
      <a class="publishers-version-link doi-link" href="https://doi.org/10.1007/978-3-319-19195-9_15" title="Link to official version of paper (may be a landing page with more information)"><img alt="" height="17px" width="17px" src="https://www.sosy-lab.org/research/pub/Icons/doi.svg">Publisher's Version</a>
      <a class="pdf-link" href="https://link.springer.com/content/pdf/10.1007/978-3-319-19195-9_15.pdf"><img alt="" height="17px" width="17px" src="https://www.sosy-lab.org/research/pub/Icons/pdf.gif">PDF</a>
      <a class="material-link" href="https://www.sosy-lab.org/research/cpa-ref-sel/#FORTE15"><img alt="" height="15px" width="15px" src="https://www.sosy-lab.org/research/pub/Icons/www.gif">Supplement</a>
    </span>
    <details  class="abstract">
      <summary>Abstract</summary>
      <div>
        Automatic software verification relies on constructing, for a given program,
        an abstract model
        that is (1) abstract enough to avoid state-space explosion and
        (2) precise enough to reason about the specification.
        Counterexample-guided abstraction refinement is a standard technique
        that suggests to extract information from infeasible error paths,
        in order to refine the abstract model if it is too imprecise.
        Existing approaches -including our previous work-
        do not choose the refinement for a given path systematically.
        We present a method that
        generates alternative refinements
        and allows to systematically choose a suited one.
        The method takes as input one given infeasible error path and applies a slicing technique to obtain
        a set of new error paths that are more abstract than the original error path
        but still infeasible, each for a different reason.
        The (more abstract) constraints of the new paths can be passed to a standard refinement procedure,
        in order to obtain a set of possible refinements, one for each new path.
        Our technique is completely independent from the abstract domain that is used
        in the program analysis, and does not rely on a certain proof technique, such as SMT solving.
        We implemented the new algorithm in the verification framework CPAchecker
        and made our extension publicly available.
        The experimental evaluation of our technique
        indicates that there is a wide range of possibilities on how to
        refine the abstract model for a given error path,
        and we demonstrate that the choice of which refinement to apply to the abstract model
        has a significant impact on the verification effectiveness and efficiency.
      </div>
    </details>
    <details  class="bibtex">
      <summary>BibTeX Entry</summary>
      <div>
        @inproceedings{FORTE15,
        author = {Dirk Beyer and Stefan L{\&quot;o}we and Philipp Wendler},
        title = {Sliced Path Prefixes: An Effective Method to Enable Refinement Selection},
        booktitle = {Proceedings of the 35th IFIP WG 6.1 International Conference on  Formal Techniques for Distributed Objects, Components, and Systems (FORTE~2015, Grenoble, France, June 2-4)},
        editor = {S.~Graf and M.~Viswanathan},
        pages = {228-243},
        year = {2015},
        series = {LNCS~9039},
        publisher = {Springer-Verlag, Heidelberg},
        isbn = {978-3-319-19194-2},
        doi = {10.1007/978-3-319-19195-9_15},
        sha256 = {96e16841eb13a602455334a71a516f509ad1b1e2328edade3d5954062b387e7d},
        url = {https://www.sosy-lab.org/research/cpa-ref-sel/#FORTE15},
        abstract = {Automatic software verification relies on constructing, for a given program, an abstract model that is (1) abstract enough to avoid state-space explosion and (2) precise enough to reason about the specification. Counterexample-guided abstraction refinement is a standard technique that suggests to extract information from infeasible error paths, in order to refine the abstract model if it is too imprecise. Existing approaches ---including our previous work--- do not choose the refinement for a given path systematically. We present a method that generates alternative refinements and allows to systematically choose a suited one. The method takes as input one given infeasible error path and applies a slicing technique to obtain a set of new error paths that are more abstract than the original error path but still infeasible, each for a different reason. The (more abstract) constraints of the new paths can be passed to a standard refinement procedure, in order to obtain a set of possible refinements, one for each new path. Our technique is completely independent from the abstract domain that is used in the program analysis, and does not rely on a certain proof technique, such as SMT solving. We implemented the new algorithm in the verification framework CPAchecker and made our extension publicly available. The experimental evaluation of our technique indicates that there is a wide range of possibilities on how to refine the abstract model for a given error path, and we demonstrate that the choice of which refinement to apply to the abstract model has a significant impact on the verification effectiveness and efficiency.},
        keyword = {CPAchecker,Software Model Checking},
        }
        
      </div>
    </details>
  </span>
</li>

<li class="bibentry" id="SE15-ExplicitCEGAR">
  <span class="main-info">
    <span class="author-list"><span class="author"><a href="../Author/BEYER-D.html"><span class="firstname">Dirk</span> <span class="lastname">Beyer</span></a></span> and
    <span class="author"><a href="../Author/LÖWE-S.html"><span class="firstname">Stefan</span> <span class="lastname">Löwe</span></a></span>.</span>
    <span class="publication-title">Interpolation for Value Analysis.</span>
    <span class="howpublished">
      In <span class="editor-list"><span class="editor"><span class="firstname">U.</span> <span class="lastname">Aßmann</span></span>,
      <span class="editor"><span class="firstname">B.</span> <span class="lastname">Demuth</span></span>,
      <span class="editor"><span class="firstname">T.</span> <span class="lastname">Spitta</span></span>,
      <span class="editor"><span class="firstname">G.</span> <span class="lastname">Püschel</span></span>, and
      <span class="editor"><span class="firstname">R.</span> <span class="lastname">Kaiser</span></span>, editors</span>,
      <em class="booktitle">  Tagungsband Software Engineering 2015, Fachtagung des GI-Fachbereichs Softwaretechnik
        (17. März - 20. März 2015, Dresden, Deutschland)</em>,
      <span class="series">LNI 239</span>,
      <span class="pages">pages 73-74</span>,
      <span class="publication-date">  <span class="year">2015</span></span>.
    </span>
    <span class="publisher">Gesellschaft für Informatik (GI).</span>
  </span>
  <a class="bibentry-link" href="#SE15-ExplicitCEGAR"><img height="12px" width="12px" src="https://www.sosy-lab.org/images/transparent.gif" alt="Link to this entry"></a>
  <span class="additional-info">
    <span class="inline-info">
      <span class="keyword-list">Keyword(s):
        <a class="keyword" href="../Keyword/CPACHECKER.html">CPAchecker</a>,
        <a class="keyword" href="../Keyword/SOFTWARE-MODEL-CHECKING.html">Software Model Checking</a>
      </span>
    </span>
    <span class="link-list">
      <a class="publishers-version-link" href="https://dl.gi.de/handle/20.500.12116/2495" title="Link to official version of paper (may be a landing page with more information)">Publisher's Version</a>
    </span>
    <details  class="bibtex">
      <summary>BibTeX Entry</summary>
      <div>
        @inproceedings{SE15-ExplicitCEGAR,
        author = {Dirk Beyer and Stefan L{\&quot;{o}}we},
        title = {Interpolation for Value Analysis},
        booktitle = {Tagungsband Software Engineering 2015, Fachtagung des GI-Fachbereichs Softwaretechnik (17. M{\&quot;{a}}rz - 20. M{\&quot;{a}}rz 2015, Dresden, Deutschland)},
        editor = {U.~A{\ss}mann and B.~Demuth and T.~Spitta and G.~P{\&quot;{u}}schel and R.~Kaiser},
        pages = {73-74},
        year = {2015},
        series = {{LNI}~239},
        publisher = {Gesellschaft f{\&quot;{u}}r Informatik ({GI})},
        url = {},
        keyword = {CPAchecker,Software Model Checking},
        annote = {This is a summary of a &lt;a href=&quot;https://www.sosy-lab.org/research/bib/Year/2013.html#FASE13&quot;&gt;full article on this topic&lt;/a&gt; that appeared in Proc. FASE 2013.},
        doinone = {DOI not available},
        urlpub = {https://dl.gi.de/handle/20.500.12116/2495},
        }
        
      </div>
    </details>
    <details open class="annote">
      <summary>Additional Infos</summary>
      <div>
        This is a summary of a <a href="https://www.sosy-lab.org/research/bib/Year/2013.html#FASE13">full article on this topic</a> that appeared in Proc. FASE 2013.
      </div>
    </details>
  </span>
</li>

<li class="bibentry" id="SE14-Reuse">
  <span class="main-info">
    <span class="author-list"><span class="author"><a href="../Author/BEYER-D.html"><span class="firstname">Dirk</span> <span class="lastname">Beyer</span></a></span>,
    <span class="author"><a href="../Author/LÖWE-S.html"><span class="firstname">Stefan</span> <span class="lastname">Löwe</span></a></span>,
    <span class="author"><span class="firstname">Evgeny</span> <span class="lastname">Novikov</span></span>,
    <span class="author"><span class="firstname">Andreas</span> <span class="lastname">Stahlbauer</span></span>, and
    <span class="author"><a href="../Author/WENDLER-P.html"><span class="firstname">Philipp</span> <span class="lastname">Wendler</span></a></span>.</span>
    <span class="publication-title">Precision Reuse in CPAchecker.</span>
    <span class="howpublished">
      In <span class="editor-list"><span class="editor"><span class="firstname">W.</span> <span class="lastname">Hasselbring</span></span> and
      <span class="editor"><span class="firstname">N. C.</span> <span class="lastname">Ehmke</span></span>, editors</span>,
      <em class="booktitle">  Tagungsband Software Engineering 2014, Fachtagung des GI-Fachbereichs Softwaretechnik
        (25. Februar - 28. Februar 2014, Kiel, Deutschland)</em>,
      <span class="series">LNI 227</span>,
      <span class="pages">pages 41-42</span>,
      <span class="publication-date">  <span class="year">2014</span></span>.
    </span>
    <span class="publisher">Gesellschaft für Informatik (GI).</span>
  </span>
  <a class="bibentry-link" href="#SE14-Reuse"><img height="12px" width="12px" src="https://www.sosy-lab.org/images/transparent.gif" alt="Link to this entry"></a>
  <span class="additional-info">
    <span class="inline-info">
      <span class="keyword-list">Keyword(s):
        <a class="keyword" href="../Keyword/CPACHECKER.html">CPAchecker</a>,
        <a class="keyword" href="../Keyword/SOFTWARE-MODEL-CHECKING.html">Software Model Checking</a>
      </span>
    </span>
    <span class="link-list">
      <a class="publishers-version-link" href="https://dl.gi.de/handle/20.500.12116/30949" title="Link to official version of paper (may be a landing page with more information)">Publisher's Version</a>
      <a class="pdf-link" href="https://dl.gi.de/bitstream/handle/20.500.12116/30949/041.pdf?sequence=1&isAllowed=y"><img alt="" height="17px" width="17px" src="https://www.sosy-lab.org/research/pub/Icons/pdf.gif">PDF</a>
    </span>
    <details  class="abstract">
      <summary>Abstract</summary>
      <div>
        Continuous testing during development is a well-established technique
        for software-quality assurance.
        Continuous model checking from revision to revision is not yet established
        as a standard practice,
        because the enormous resource consumption makes its application impractical.
        Model checkers compute a large number of verification facts that
        are necessary for verifying if a given specification holds.
        We have identified a category of such intermediate results that are
        easy to store and efficient to reuse: abstraction precisions.
        The precision of an abstract domain specifies the level of abstraction
        that the analysis works on.
        Precisions are thus a precious result of the verification effort and
        it is a waste of resources to throw them away after each verification run.
        In particular, precisions are reasonably small and thus easy to store;
        they are easy to process and have a large impact on resource consumption.
        We experimentally show the impact of precision reuse
        on industrial verification problems created from
        62 Linux kernel device drivers
        with 1119 revisions.
      </div>
    </details>
    <details  class="bibtex">
      <summary>BibTeX Entry</summary>
      <div>
        @inproceedings{SE14-Reuse,
        author = {Dirk Beyer and Stefan L{\&quot;{o}}we and Evgeny Novikov and Andreas Stahlbauer and Philipp Wendler},
        title = {Precision Reuse in CPAchecker},
        booktitle = {Tagungsband Software Engineering 2014, Fachtagung des GI-Fachbereichs Softwaretechnik (25. Februar - 28. Februar 2014, Kiel, Deutschland)},
        editor = {W.~Hasselbring and N.~C.~Ehmke},
        pages = {41--42},
        year = {2014},
        series = {{LNI}~227},
        publisher = {Gesellschaft f{\&quot;{u}}r Informatik ({GI})},
        pdf = {https://dl.gi.de/bitstream/handle/20.500.12116/30949/041.pdf?sequence=1&amp;isAllowed=y},
        abstract = {Continuous testing during development is a well-established technique for software-quality assurance. Continuous model checking from revision to revision is not yet established as a standard practice, because the enormous resource consumption makes its application impractical. Model checkers compute a large number of verification facts that are necessary for verifying if a given specification holds. We have identified a category of such intermediate results that are easy to store and efficient to reuse: abstraction precisions. The precision of an abstract domain specifies the level of abstraction that the analysis works on. Precisions are thus a precious result of the verification effort and it is a waste of resources to throw them away after each verification run. In particular, precisions are reasonably small and thus easy to store; they are easy to process and have a large impact on resource consumption. We experimentally show the impact of precision reuse on industrial verification problems created from 62 Linux kernel device drivers with 1119 revisions.},
        keyword = {CPAchecker,Software Model Checking},
        annote = {This is a summary of a &lt;a href=&quot;https://www.sosy-lab.org/research/bib/Year/2013.html#FSE13&quot;&gt;full article on this topic&lt;/a&gt; that appeared in Proc. ESEC/FSE 2013.},
        doinone = {DOI not available},
        urlpub = {https://dl.gi.de/handle/20.500.12116/30949},
        }
        
      </div>
    </details>
    <details open class="annote">
      <summary>Additional Infos</summary>
      <div>
        This is a summary of a <a href="https://www.sosy-lab.org/research/bib/Year/2013.html#FSE13">full article on this topic</a> that appeared in Proc. ESEC/FSE 2013.
      </div>
    </details>
  </span>
</li>

<li class="bibentry" id="FSE13">
  <span class="main-info">
    <span class="author-list"><span class="author"><a href="../Author/BEYER-D.html"><span class="firstname">Dirk</span> <span class="lastname">Beyer</span></a></span>,
    <span class="author"><a href="../Author/LÖWE-S.html"><span class="firstname">Stefan</span> <span class="lastname">Löwe</span></a></span>,
    <span class="author"><span class="firstname">Evgeny</span> <span class="lastname">Novikov</span></span>,
    <span class="author"><span class="firstname">Andreas</span> <span class="lastname">Stahlbauer</span></span>, and
    <span class="author"><a href="../Author/WENDLER-P.html"><span class="firstname">Philipp</span> <span class="lastname">Wendler</span></a></span>.</span>
    <span class="publication-title">Precision Reuse for Efficient Regression Verification.</span>
    <span class="howpublished">
      In <span class="editor-list"><span class="editor"><span class="firstname">B.</span> <span class="lastname">Meyer</span></span>,
      <span class="editor"><span class="firstname">L.</span> <span class="lastname">Baresi</span></span>, and
      <span class="editor"><span class="firstname">M.</span> <span class="lastname">Mezini</span></span>, editors</span>,
      <em class="booktitle">  Proceedings of the 9th Joint Meeting of the European Software Engineering Conference and 
        the ACM SIGSOFT Symposium on Foundations of Software Engineering (ESEC/FSE 2013, St. Petersburg, Russia, August 18-26)</em>,
      <span class="pages">pages 389-399</span>,
      <span class="publication-date">  <span class="year">2013</span></span>.
    </span>
    <span class="publisher">ACM.</span>
    <a class="doi" href="https://doi.org/10.1145/2491411.2491429" data-doi="10.1145/2491411.2491429" title="The digital object identifier permanently identifies a digital article or document.">doi:10.1145/2491411.2491429</a>
  </span>
  <a class="bibentry-link" href="#FSE13"><img height="12px" width="12px" src="https://www.sosy-lab.org/images/transparent.gif" alt="Link to this entry"></a>
  <span class="additional-info">
    <span class="inline-info">
      <span class="keyword-list">Keyword(s):
        <a class="keyword" href="../Keyword/CPACHECKER.html">CPAchecker</a>,
        <a class="keyword" href="../Keyword/SOFTWARE-MODEL-CHECKING.html">Software Model Checking</a>
      </span>
    </span>
    <span class="link-list">
      <a class="publishers-version-link doi-link" href="https://doi.org/10.1145/2491411.2491429" title="Link to official version of paper (may be a landing page with more information)"><img alt="" height="17px" width="17px" src="https://www.sosy-lab.org/research/pub/Icons/doi.svg">Publisher's Version</a>
      <a class="pdf-link" href="https://www.sosy-lab.org/research/pub/2013-FSE.Precision_Reuse_for_Efficient_Regression_Verification.pdf"><img alt="" height="17px" width="17px" src="https://www.sosy-lab.org/research/pub/Icons/pdf.gif">PDF</a>
      <a class="material-link" href="https://www.sosy-lab.org/research/cpa-reuse/"><img alt="" height="15px" width="15px" src="https://www.sosy-lab.org/research/pub/Icons/www.gif">Supplement</a>
    </span>
    <details  class="abstract">
      <summary>Abstract</summary>
      <div>
        Continuous testing during development is a
        well-established technique for software-quality
        assurance.  Continuous model checking from revision
        to revision is not yet established as a standard
        practice, because the enormous resource consumption
        makes its application impractical.  Model checkers
        compute a large number of verification facts that
        are necessary for verifying if a given specification
        holds.  We have identified a category of such
        intermediate results that are easy to store and
        efficient to reuse: abstraction precisions.
        The precision of an abstract domain specifies the
        level of abstraction that the analysis works on.
        Precisions are thus a precious result of the
        verification effort and it is a waste of resources
        to throw them away after each verification run.  In
        particular, precisions are reasonably small and thus
        easy to store; they are easy to process and have a
        large impact on resource consumption.  We
        experimentally show the impact of precision reuse on
        industrial verification problems created from 62
        Linux kernel device drivers with 1119 revisions.
      </div>
    </details>
    <details  class="bibtex">
      <summary>BibTeX Entry</summary>
      <div>
        @inproceedings{FSE13,
        author = {Dirk Beyer and Stefan L{\&quot;o}we and Evgeny Novikov and Andreas Stahlbauer and Philipp Wendler},
        title = {Precision Reuse for Efficient Regression Verification},
        booktitle = {Proceedings of the 9th Joint Meeting of the European Software Engineering Conference and  the ACM SIGSOFT Symposium on Foundations of Software Engineering (ESEC/FSE 2013, St. Petersburg, Russia, August 18-26)},
        editor = {B.~Meyer and L.~Baresi and M.~Mezini},
        pages = {389-399},
        year = {2013},
        publisher = {ACM},
        isbn = {},
        doi = {10.1145/2491411.2491429},
        url = {https://www.sosy-lab.org/research/cpa-reuse/},
        pdf = {https://www.sosy-lab.org/research/pub/2013-FSE.Precision_Reuse_for_Efficient_Regression_Verification.pdf},
        abstract = {Continuous testing during development is a well-established technique for software-quality assurance.  Continuous model checking from revision to revision is not yet established as a standard practice, because the enormous resource consumption makes its application impractical.  Model checkers compute a large number of verification facts that are necessary for verifying if a given specification holds.  We have identified a category of such intermediate results that are easy to store and efficient to reuse: abstraction precisions. The precision of an abstract domain specifies the level of abstraction that the analysis works on. Precisions are thus a precious result of the verification effort and it is a waste of resources to throw them away after each verification run.  In particular, precisions are reasonably small and thus easy to store; they are easy to process and have a large impact on resource consumption.  We experimentally show the impact of precision reuse on industrial verification problems created from 62 Linux kernel device drivers with 1119 revisions.},
        keyword = {CPAchecker,Software Model Checking},
        }
        
      </div>
    </details>
  </span>
</li>

<li class="bibentry" id="FASE13">
  <span class="main-info">
    <span class="author-list"><span class="author"><a href="../Author/BEYER-D.html"><span class="firstname">Dirk</span> <span class="lastname">Beyer</span></a></span> and
    <span class="author"><a href="../Author/LÖWE-S.html"><span class="firstname">Stefan</span> <span class="lastname">Löwe</span></a></span>.</span>
    <span class="publication-title">Explicit-State Software Model Checking Based on CEGAR and Interpolation.</span>
    <span class="howpublished">
      In <span class="editor-list"><span class="editor"><span class="firstname">V.</span> <span class="lastname">Cortellessa</span></span> and
      <span class="editor"><span class="firstname">D.</span> <span class="lastname">Varro</span></span>, editors</span>,
      <em class="booktitle">  Proceedings of the 16th International Conference on
        Fundamental Approaches to Software Engineering (FASE 2013, Rome, Italy, March 20-22)</em>,
      <span class="series">LNCS 7793</span>,
      <span class="pages">pages 146-162</span>,
      <span class="publication-date">  <span class="year">2013</span></span>.
    </span>
    <span class="publisher">Springer-Verlag, Heidelberg.</span>
    <a class="doi" href="https://doi.org/10.1007/978-3-642-37057-1_11" data-doi="10.1007/978-3-642-37057-1_11" title="The digital object identifier permanently identifies a digital article or document.">doi:10.1007/978-3-642-37057-1_11</a>
  </span>
  <a class="bibentry-link" href="#FASE13"><img height="12px" width="12px" src="https://www.sosy-lab.org/images/transparent.gif" alt="Link to this entry"></a>
  <span class="additional-info">
    <span class="inline-info">
      <span class="keyword-list">Keyword(s):
        <a class="keyword" href="../Keyword/CPACHECKER.html">CPAchecker</a>,
        <a class="keyword" href="../Keyword/SOFTWARE-MODEL-CHECKING.html">Software Model Checking</a>
      </span>
    </span>
    <span class="link-list">
      <a class="publishers-version-link doi-link" href="https://doi.org/10.1007/978-3-642-37057-1_11" title="Link to official version of paper (may be a landing page with more information)"><img alt="" height="17px" width="17px" src="https://www.sosy-lab.org/research/pub/Icons/doi.svg">Publisher's Version</a>
      <a class="pdf-link" href="https://link.springer.com/content/pdf/10.1007/978-3-642-37057-1_11.pdf"><img alt="" height="17px" width="17px" src="https://www.sosy-lab.org/research/pub/Icons/pdf.gif">PDF</a>
    </span>
    <details  class="abstract">
      <summary>Abstract</summary>
      <div>
        Abstraction, counterexample-guided refinement, and
        interpolation are techniques that are essential to
        the success of predicate-based program analysis.
        These techniques have not yet been applied together
        to explicit-value program analysis.  We present an
        approach that integrates abstraction and
        interpolation-based refinement into an
        explicit-value analysis, i.e., a program analysis
        that tracks explicit values for a specified set of
        variables (the precision).  The algorithm uses an
        abstract reachability graph as central data
        structure and a path-sensitive dynamic approach for
        precision adjustment.  We evaluate our algorithm on
        the benchmark set of the Competition on Software
        Verification 2012 (SV-COMP'12) to show that our new
        approach is highly competitive.  We also show that
        combining our new approach with an auxiliary
        predicate analysis scores significantly higher than
        the SV-COMP'12 winner.
      </div>
    </details>
    <details  class="bibtex">
      <summary>BibTeX Entry</summary>
      <div>
        @inproceedings{FASE13,
        author = {Dirk Beyer and Stefan L{\&quot;o}we},
        title = {Explicit-State Software Model Checking Based on {CEGAR} and Interpolation},
        booktitle = {Proceedings of the 16th International Conference on Fundamental Approaches to Software Engineering (FASE~2013, Rome, Italy, March 20-22)},
        editor = {V.~Cortellessa and D.~Varro},
        pages = {146-162},
        year = {2013},
        series = {LNCS~7793},
        publisher = {Springer-Verlag, Heidelberg},
        isbn = {978-3-642-37056-4},
        doi = {10.1007/978-3-642-37057-1_11},
        sha256 = {3e2ba52da100fd835736b3673fa47a3429522dd3f4c0834b13f29d6a68a8bd45},
        url = {},
        abstract = {Abstraction, counterexample-guided refinement, and interpolation are techniques that are essential to the success of predicate-based program analysis. These techniques have not yet been applied together to explicit-value program analysis.  We present an approach that integrates abstraction and interpolation-based refinement into an explicit-value analysis, i.e., a program analysis that tracks explicit values for a specified set of variables (the precision).  The algorithm uses an abstract reachability graph as central data structure and a path-sensitive dynamic approach for precision adjustment.  We evaluate our algorithm on the benchmark set of the Competition on Software Verification 2012 (SV-COMP&#x27;12) to show that our new approach is highly competitive.  We also show that combining our new approach with an auxiliary predicate analysis scores significantly higher than the SV-COMP&#x27;12 winner.},
        keyword = {CPAchecker,Software Model Checking},
        }
        
      </div>
    </details>
  </span>
</li>

</ol>
 <section id="disclaimer"> <h4>Disclaimer:</h4> <p class="disclaimer"> This material is presented to ensure timely dissemination of scholarly and technical work. Copyright and all rights therein are retained by authors or by other copyright holders. All person copying this information are expected to adhere to the terms and constraints invoked by each author's copyright. In most cases, these works may not be reposted without the explicit permission of the copyright holder. </p> </section> <footer id="generator">This file was generated by <a href="https://gitlab.com/sosy-lab/software/pybib2web/">pybib2web</a>, version 0.7.dev0</footer>